@using Microsoft.AspNetCore.Http
@using System.Text.Json;
@inject Microsoft.AspNetCore.Http.IHttpContextAccessor HttpContextAccessor

<!DOCTYPE html>
<html>
<head>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">
    <title>Bem vindo! - Home</title>
    <style>
        body {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            background-color: white;
        }

        .box {
            width: 55%;
            height: 50%;
            background-color: #031786;
            border-radius: 10px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 20px;
        }

        .box table {
            margin-right: 20px;
        }

        .box a {
            color: black;
            text-decoration: none;
            margin: 10px;
        }

    </style>
</head>

<body>
    <div class="box">
        <table>
            <tr>
                <td><a href="/cliente/index" class="btn btn-light">Clientes</a></td>
                <td><a href="/cliente/create" class="btn btn-success">+</a></td>

                <td><a href="/funcionario/index" class="btn btn-light">Funcionários</a></td>
                <td><a href="/funcionario/create" class="btn btn-success">+</a></td>
            </tr>
            <tr>
                <td><a href="/produto/index" class="btn btn-light">Produtos</a></td>
                <td><a href="/produto/create" class="btn btn-success">+</a></td>

                <td><a href="/fornecedor/index" class="btn btn-light">Fornecedores</a></td>
                <td><a href="/fornecedor/create" class="btn btn-success">+</a></td>
            </tr>
            <tr>
                <td><a href="/pedido/index" class="btn btn-light">Pedidos</a></td>
                <td><a href="/pedido/create" class="btn btn-success">+</a></td>

                <td><a href="/movimentacao/index" class="btn btn-light">Movimentações</a></td>
            </tr>
        </table>
        <div>
            <div style="margin-top: 30%;">
                <span style="color: white;">Bem vindo!</span><br/>
                @{
                    string session = HttpContextAccessor.HttpContext.Session.GetString("user");
                    User user = JsonSerializer.Deserialize<User>(session);
                }
                <h1 style="color: white;">@user.NomeFuncionario</h1>
                
            </div>
            <div style="margin: 25% 0 0 70%;">
                <a href="/user/logout" class="btn btn-danger">Sair</a>
            </div>
        </div>
    </div>
</body>
</html>
